org.apache.cassandra.db

## Class Truncation

- java.lang.Object
- - org.apache.cassandra.db.Truncation

    public class Truncation
    extends java.lang.Object

A truncate operation descriptor

### Field Summary

Fields
`java.lang.String` `columnFamily`
`java.lang.String` `keyspace`
`static IVersionedSerializer<Truncation>` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`Truncation(java.lang.String keyspace, java.lang.String columnFamily)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageOut<Truncation>` `createMessage()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final IVersionedSerializer<Truncation> serializer

#### keyspace

    public final java.lang.String keyspace

#### columnFamily

    public final java.lang.String columnFamily

### Constructor Detail

#### Truncation

    public Truncation(java.lang.String keyspace,
                      java.lang.String columnFamily)

### Method Detail

#### createMessage

    public MessageOut<Truncation> createMessage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`